using GameAtlas.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Stub
{
    public class Stub : IPersistanceManager
    {
        public (ObservableCollection<Jeu>,List<Admin>,List<Utilisateur>) ChargeDonnees()
        {
            List<Utilisateur> ListUsers = new List<Utilisateur>();
            List<Admin> ListAdmins = new List<Admin>();
            ObservableCollection<Jeu> ListJeu = new ObservableCollection<Jeu>();

            Utilisateur userTest = new Utilisateur("test@gmail.com", "test", "Test1234");
            Admin admin = new Admin("admin@example.com", "admin", "Admin1234");
            ListUsers.Add(userTest);
            ListAdmins.Add(admin);

            Jeu TheLastOfUs = new Jeu("The Last Of Us Part I","5 Fevrier 2023","PS5 XOne PC","dev","ed", 5, 487,"Aventure", "cover_lastofus1.png");
            Jeu ForzaHorizon = new Jeu("Forza Horizon 5", "12 Mars 2023", "Ps5", "dev", "ed", 4, 420, "Course", "cover_forzahorizon5.png");
            Jeu Test = new Jeu("The Legend of Zelda: Tears of the Kingdom", "8 Janvier 2023", "Switch Pc", "dev", "ed", 5, 250, "Aventure", "cover_zelda.png");
            ListJeu.Add(TheLastOfUs);
            ListJeu.Add(ForzaHorizon);
            ListJeu.Add(Test);

            return (ListJeu,ListAdmins,ListUsers);
        }

        public void SauvegardeDonnees(ObservableCollection<Jeu> jeux, List<Admin> admins, List<Utilisateur> utilisateurs)
        {
            throw new NotImplementedException();
        }
    }
}